_(NULL)
_(RAY) // General purpose mobj
_(UNKNOWN)

_(THOK) // Thok! mobj
_(SHADOW) // Linkdraw Shadow (for invisible objects)
_(PLAYER)
_(KART_LEFTOVER)
_(KART_TIRE)

// Enemies
_(BLUECRAWLA) // Crawla (Blue)
_(REDCRAWLA) // Crawla (Red)
_(GFZFISH) // SDURF
_(GOLDBUZZ) // Buzz (Gold)
_(REDBUZZ) // Buzz (Red)
_(AQUABUZZ)
_(JETTBOMBER) // Jetty-Syn Bomber
_(JETTGUNNER) // Jetty-Syn Gunner
_(CRAWLACOMMANDER) // Crawla Commander
_(DETON) // Deton
_(SKIM) // Skim mine dropper
_(TURRET) // Industrial Turret
_(POPUPTURRET) // Pop-Up Turret
_(SHARP) // SHARP
_(JETJAW) // Jet Jaw
_(SNAILER) // Snailer
_(VULTURE) // BASH
_(POINTY) // Pointy
_(POINTYBALL) // Pointy Ball
_(ROBOHOOD) // Robo-Hood
_(FACESTABBER) // Castlebot Facestabber
_(EGGGUARD) // Egg Guard
_(EGGSHIELD) // Egg Guard's shield
_(GSNAPPER) // Green Snapper
_(MINUS) // Minus
_(SPRINGSHELL) // Spring Shell
_(YELLOWSHELL) // Spring Shell (yellow)
_(UNIDUS) // Unidus
_(UNIBALL) // Unidus Ball

// Generic Boss Items
_(BOSSEXPLODE)
_(SONIC3KBOSSEXPLODE)
_(BOSSFLYPOINT)
_(EGGTRAP)
_(BOSS3WAYPOINT)
_(BOSS9GATHERPOINT)

// Boss 1
_(EGGMOBILE)
_(JETFUME1)
_(EGGMOBILE_BALL)
_(EGGMOBILE_TARGET)
_(EGGMOBILE_FIRE)

// Boss 2
_(EGGMOBILE2)
_(EGGMOBILE2_POGO)
_(BOSSTANK1)
_(BOSSTANK2)
_(BOSSSPIGOT)
_(GOOP)

// Boss 3
_(EGGMOBILE3)
_(PROPELLER)
_(FAKEMOBILE)

// Boss 4
_(EGGMOBILE4)
_(EGGMOBILE4_MACE)
_(JETFLAME)

// Black Eggman (Boss 7)
_(BLACKEGGMAN)
_(BLACKEGGMAN_HELPER)
_(BLACKEGGMAN_GOOPFIRE)
_(BLACKEGGMAN_MISSILE)

// New Very-Last-Minute 2.1 Brak Eggman (Cy-Brak-demon)
_(CYBRAKDEMON)
_(CYBRAKDEMON_ELECTRIC_BARRIER)
_(CYBRAKDEMON_MISSILE)
_(CYBRAKDEMON_FLAMESHOT)
_(CYBRAKDEMON_FLAMEREST)
_(CYBRAKDEMON_TARGET_RETICULE)
_(CYBRAKDEMON_TARGET_DOT)
_(CYBRAKDEMON_NAPALM_BOMB_LARGE)
_(CYBRAKDEMON_NAPALM_BOMB_SMALL)
_(CYBRAKDEMON_NAPALM_FLAMES)
_(CYBRAKDEMON_VILE_EXPLOSION)

// Metal Sonic (Boss 9)
_(METALSONIC_RACE)
_(METALSONIC_BATTLE)
_(MSSHIELD_FRONT)
_(MSGATHER)

// Collectible Items
_(RING)
_(FLINGRING) // Lost ring
_(BLUEBALL) // Blue sphere for special stages
_(REDTEAMRING) // Rings collectable by red team.
_(BLUETEAMRING) // Rings collectable by blue team.
_(EMMY) // Special Stage token for special stage
_(TOKEN) // Special Stage token for special stage
_(REDFLAG) // Red CTF Flag
_(BLUEFLAG) // Blue CTF Flag
_(EMBLEM)
_(EMERALD1)
_(EMERALD2)
_(EMERALD3)
_(EMERALD4)
_(EMERALD5)
_(EMERALD6)
_(EMERALD7)
_(EMERHUNT) // Emerald Hunt
_(EMERALDSPAWN) // Emerald spawner w/ delay
_(FLINGEMERALD) // Lost emerald

// Springs and others
_(FAN)
_(STEAM)
_(BALLOON)

_(YELLOWSPRING)
_(REDSPRING)
_(BLUESPRING)
_(GRAYSPRING)
_(INVISSPRING)
_(YELLOWDIAG) // Yellow Diagonal Spring
_(REDDIAG) // Red Diagonal Spring
_(BLUEDIAG) // Blue Diagonal Spring

// Interactive Objects
_(BUBBLES) // Bubble source
_(SIGN) // Level end sign
_(SPIKEBALL) // Spike Ball
_(SPINFIRE)
_(SPIKE)
_(WALLSPIKE)
_(WALLSPIKEBASE)
_(STARPOST)
_(BIGMINE)
_(BIGAIRMINE)
_(BLASTEXECUTOR)
_(CANNONLAUNCHER)

// Monitor Boxes
_(SUPERRINGBOX)
_(REDRINGBOX)
_(BLUERINGBOX)
_(SNEAKERTV)
_(INV)
_(PRUP) // 1up Box
_(YELLOWTV)
_(BLUETV)
_(BLACKTV) // Bomb shield TV
_(WHITETV) // Jump shield TV
_(GREENTV)
_(PITYTV) // Pity Shield TV
_(EGGMANBOX)
_(MIXUPBOX)
_(RECYCLETV)
_(RECYCLEICO)
_(QUESTIONBOX)
_(GRAVITYBOX)
_(SCORETVSMALL)
_(SCORETVLARGE)

// Monitor miscellany
_(MONITOREXPLOSION)
_(REDMONITOREXPLOSION)
_(BLUEMONITOREXPLOSION)
_(RINGICO)
_(SHOESICO)
_(INVCICO)
_(1UPICO)
_(YSHIELDICO)
_(BSHIELDICO)
_(KSHIELDICO)
_(WSHIELDICO)
_(GSHIELDICO)
_(PITYSHIELDICO)
_(EGGMANICO)
_(MIXUPICO)
_(GRAVITYICO)
_(SCOREICOSMALL)
_(SCOREICOLARGE)

// Projectiles
_(ROCKET)
_(LASER)
_(TORPEDO)
_(TORPEDO2) // silent
_(ENERGYBALL)
_(MINE) // Skim/Jetty-Syn mine
_(JETTBULLET) // Jetty-Syn Bullet
_(TURRETLASER)
_(CANNONBALL) // Cannonball
_(CANNONBALLDECOR) // Decorative/still cannonball
_(ARROW) // Arrow
_(DEMONFIRE) // Glaregoyle fire

// Greenflower Scenery
_(GFZFLOWER1)
_(GFZFLOWER2)
_(GFZFLOWER3)
_(BERRYBUSH)
_(BUSH)

// Techno Hill Scenery
_(THZPLANT) // THZ Plant
_(ALARM)

// Deep Sea Scenery
_(GARGOYLE) // Deep Sea Gargoyle
_(SEAWEED) // DSZ Seaweed
_(WATERDRIP) // Dripping Water source
_(WATERDROP) // Water drop from dripping water
_(CORAL1) // Coral 1
_(CORAL2) // Coral 2
_(CORAL3) // Coral 3
_(BLUECRYSTAL) // Blue Crystal

// Castle Eggman Scenery
_(CHAIN) // CEZ Chain
_(FLAME) // Flame
_(EGGSTATUE) // Eggman Statue
_(MACEPOINT) // Mace rotation point
_(CHAINMACEPOINT) // Combination of chains and maces point
_(CHAINPOINT) // Mace chain
_(HIDDEN_SLING) // Spin mace chain (activatable)
_(CUSTOMMACEPOINT) // Custom mace
_(SMALLMACECHAIN) // Small Mace Chain
_(BIGMACECHAIN) // Big Mace Chain
_(SMALLMACE) // Small Mace
_(BIGMACE) // Big Mace
_(SMALLGRABCHAIN) // Small Grab Chain
_(BIGGRABCHAIN) // Big Grab Chain
_(CEZFLOWER) // Flower

// Arid Canyon Scenery
_(BIGTUMBLEWEED)
_(LITTLETUMBLEWEED)
_(CACTI1)
_(CACTI2)
_(CACTI3)
_(CACTI4)

// Red Volcano Scenery
_(FLAMEJET)
_(VERTICALFLAMEJET)
_(FLAMEJETFLAME)

_(FJSPINAXISA) // Counter-clockwise
_(FJSPINAXISB) // Clockwise

_(FLAMEJETFLAMEB) // Blade's flame

// Dark City Scenery

// Egg Rock Scenery

// Azure Temple Scenery
_(TRAPGOYLE)
_(TRAPGOYLEUP)
_(TRAPGOYLEDOWN)
_(TRAPGOYLELONG)
_(TARGET) // AKA Red Crystal

// Stalagmites
_(STALAGMITE0)
_(STALAGMITE1)
_(STALAGMITE2)
_(STALAGMITE3)
_(STALAGMITE4)
_(STALAGMITE5)
_(STALAGMITE6)
_(STALAGMITE7)
_(STALAGMITE8)
_(STALAGMITE9)

// Christmas Scenery
_(XMASPOLE)
_(CANDYCANE)
_(SNOWMAN)
_(SNOWMANHAT)
_(LAMPPOST1)
_(LAMPPOST2)
_(HANGSTAR)

// Botanic Serenity scenery
_(BSZTALLFLOWER_RED)
_(BSZTALLFLOWER_PURPLE)
_(BSZTALLFLOWER_BLUE)
_(BSZTALLFLOWER_CYAN)
_(BSZTALLFLOWER_YELLOW)
_(BSZTALLFLOWER_ORANGE)
_(BSZFLOWER_RED)
_(BSZFLOWER_PURPLE)
_(BSZFLOWER_BLUE)
_(BSZFLOWER_CYAN)
_(BSZFLOWER_YELLOW)
_(BSZFLOWER_ORANGE)
_(BSZSHORTFLOWER_RED)
_(BSZSHORTFLOWER_PURPLE)
_(BSZSHORTFLOWER_BLUE)
_(BSZSHORTFLOWER_CYAN)
_(BSZSHORTFLOWER_YELLOW)
_(BSZSHORTFLOWER_ORANGE)
_(BSZTULIP_RED)
_(BSZTULIP_PURPLE)
_(BSZTULIP_BLUE)
_(BSZTULIP_CYAN)
_(BSZTULIP_YELLOW)
_(BSZTULIP_ORANGE)
_(BSZCLUSTER_RED)
_(BSZCLUSTER_PURPLE)
_(BSZCLUSTER_BLUE)
_(BSZCLUSTER_CYAN)
_(BSZCLUSTER_YELLOW)
_(BSZCLUSTER_ORANGE)
_(BSZBUSH_RED)
_(BSZBUSH_PURPLE)
_(BSZBUSH_BLUE)
_(BSZBUSH_CYAN)
_(BSZBUSH_YELLOW)
_(BSZBUSH_ORANGE)
_(BSZVINE_RED)
_(BSZVINE_PURPLE)
_(BSZVINE_BLUE)
_(BSZVINE_CYAN)
_(BSZVINE_YELLOW)
_(BSZVINE_ORANGE)
_(BSZSHRUB)
_(BSZCLOVER)
_(BSZFISH)
_(BSZSUNFLOWER)

// Misc scenery
_(DBALL)
_(EGGSTATUE2)

// Powerup Indicators
_(ELEMENTAL_ORB) // Elemental shield mobj
_(ATTRACT_ORB) // Attract shield mobj
_(FORCE_ORB) // Force shield mobj
_(ARMAGEDDON_ORB) // Armageddon shield mobj
_(WHIRLWIND_ORB) // Whirlwind shield mobj
_(PITY_ORB) // Pity shield mobj
_(FLAMEAURA_ORB) // Flame shield mobj
_(BUBBLEWRAP_ORB) // Bubble shield mobj
_(THUNDERCOIN_ORB) // Thunder shield mobj
_(THUNDERCOIN_SPARK) // Thunder spark
_(IVSP) // Invincibility sparkles
_(SUPERSPARK) // Super Sonic Spark

// Flickies
_(FLICKY_01) // Bluebird
_(FLICKY_01_CENTER)
_(FLICKY_02) // Rabbit
_(FLICKY_02_CENTER)
_(FLICKY_03) // Chicken
_(FLICKY_03_CENTER)
_(FLICKY_04) // Seal
_(FLICKY_04_CENTER)
_(FLICKY_05) // Pig
_(FLICKY_05_CENTER)
_(FLICKY_06) // Chipmunk
_(FLICKY_06_CENTER)
_(FLICKY_07) // Penguin
_(FLICKY_07_CENTER)
_(FLICKY_08) // Fish
_(FLICKY_08_CENTER)
_(FLICKY_09) // Ram
_(FLICKY_09_CENTER)
_(FLICKY_10) // Puffin
_(FLICKY_10_CENTER)
_(FLICKY_11) // Cow
_(FLICKY_11_CENTER)
_(FLICKY_12) // Rat
_(FLICKY_12_CENTER)
_(FLICKY_13) // Bear
_(FLICKY_13_CENTER)
_(FLICKY_14) // Dove
_(FLICKY_14_CENTER)
_(FLICKY_15) // Cat
_(FLICKY_15_CENTER)
_(FLICKY_16) // Canary
_(FLICKY_16_CENTER)
_(SECRETFLICKY_01) // Spider
_(SECRETFLICKY_01_CENTER)
_(SECRETFLICKY_02) // Bat
_(SECRETFLICKY_02_CENTER)
_(SEED)

// Environmental Effects
_(RAIN) // Rain
_(SNOWFLAKE) // Snowflake
_(SPLISH) // Water splish!
_(LAVASPLISH) // Lava splish!
_(SMOKE)
_(SMALLBUBBLE) // small bubble
_(MEDIUMBUBBLE) // medium bubble
_(EXTRALARGEBUBBLE) // extra large bubble
_(WATERZAP)
_(SPINDUST) // Spindash dust
_(TFOG)
_(PARTICLE)
_(PARTICLEGEN) // For fans, etc.

// Game Indicators
_(SCORE) // score logo
_(DROWNNUMBERS) // Drowning Timer
_(GOTEMERALD) // Chaos Emerald (intangible)
_(LOCKON) // Target
_(LOCKONINF) // In-level Target
_(TAG) // Tag Sign
_(GOTFLAG) // Got Flag sign
_(FINISHFLAG) // Finish flag

// Ambient Sounds
_(AMBIENT)

// Ring Weapons
_(REDRING)
_(BOUNCERING)
_(RAILRING)
_(INFINITYRING)
_(AUTOMATICRING)
_(EXPLOSIONRING)
_(SCATTERRING)
_(GRENADERING)

_(BOUNCEPICKUP)
_(RAILPICKUP)
_(AUTOPICKUP)
_(EXPLODEPICKUP)
_(SCATTERPICKUP)
_(GRENADEPICKUP)

_(THROWNBOUNCE)
_(THROWNINFINITY)
_(THROWNAUTOMATIC)
_(THROWNSCATTER)
_(THROWNEXPLOSION)
_(THROWNGRENADE)

// Mario-specific stuff
_(COIN)
_(FLINGCOIN)
_(GOOMBA)
_(BLUEGOOMBA)
_(FIREFLOWER)
_(FIREBALL)
_(SHELL)
_(PUMA)
_(HAMMER)
_(KOOPA)
_(KOOPAFLAME)
_(AXE)
_(MARIOBUSH1)
_(MARIOBUSH2)
_(TOAD)

// NiGHTS Stuff
_(AXIS)
_(AXISTRANSFER)
_(AXISTRANSFERLINE)
_(NIGHTSDRONE)
_(NIGHTSDRONE_MAN)
_(NIGHTSDRONE_SPARKLING)
_(NIGHTSDRONE_GOAL)
_(NIGHTSPARKLE)
_(NIGHTSLOOPHELPER)
_(NIGHTSBUMPER) // NiGHTS Bumper
_(HOOP)
_(HOOPCOLLIDE) // Collision detection for NiGHTS hoops
_(HOOPCENTER) // Center of a hoop
_(NIGHTSCORE)
_(NIGHTSCHIP) // NiGHTS Chip
_(FLINGNIGHTSCHIP) // Lost NiGHTS Chip
_(NIGHTSSTAR) // NiGHTS Star
_(FLINGNIGHTSSTAR) // Lost NiGHTS Star
_(NIGHTSSUPERLOOP)
_(NIGHTSWING)
_(NIGHTSDRILLREFILL)
_(NIGHTSHELPER)
_(NIGHTSEXTRATIME)
_(NIGHTSLINKFREEZE)
_(EGGCAPSULE)
_(IDEYAANCHOR)
_(NIGHTOPIANHELPER) // the actual helper object that orbits you
_(PIAN) // decorative singing friend
_(SHLEEP) // almost-decorative sleeping enemy

// Utility Objects
_(TELEPORTMAN)
_(ALTVIEWMAN)
_(CRUMBLEOBJ) // Sound generator for crumbling platform
_(TUBEWAYPOINT)
_(PUSH)
_(GHOST)
_(OVERLAY)
_(ANGLEMAN)
_(POLYANCHOR)
_(POLYSPAWN)
_(MINIMAPBOUND)

// Skybox objects
_(SKYBOX)

// Debris
_(SPARK) // spark, only used for debugging, actually
_(EXPLODE) // Robot Explosion
_(UWEXPLODE) // Underwater Explosion
_(DUST)
_(ROCKSPAWNER)
_(FALLINGROCK)
_(ROCKCRUMBLE1)
_(ROCKCRUMBLE2)
_(ROCKCRUMBLE3)
_(ROCKCRUMBLE4)
_(ROCKCRUMBLE5)
_(ROCKCRUMBLE6)
_(ROCKCRUMBLE7)
_(ROCKCRUMBLE8)
_(ROCKCRUMBLE9)
_(ROCKCRUMBLE10)
_(ROCKCRUMBLE11)
_(ROCKCRUMBLE12)
_(ROCKCRUMBLE13)
_(ROCKCRUMBLE14)
_(ROCKCRUMBLE15)
_(ROCKCRUMBLE16)

// SRB1 Badniks
_(SRB1_CRAWLA)
_(SRB1_BAT)
_(SRB1_ROBOFISH)
_(SRB1_VOLCANOGUY)
_(SRB1_HOPPY)
_(SRB1_HOPPYWATER)
_(SRB1_HOPPYSKYLAB)
_(SRB1_MMZFLYING)
_(SRB1_UFO)
_(SRB1_GRAYBOT)
_(SRB1_ROBOTOPOLIS)
_(SRB1_RBZBUZZ)
_(SRB1_RBZSPIKES)
_(SRB1_METALSONIC)
_(SRB1_GOLDBOT)
_(SRB1_GENREX)

// SRB2kart
_(RANDOMITEM)
_(RANDOMITEMPOP)
_(FLOATINGITEM)
_(ITEMCAPSULE)
_(ITEMCAPSULE_PART)

_(SIGNSPARKLE)

_(FASTLINE)
_(FASTDUST)
_(BOOSTFLAME)
_(BOOSTSMOKE)
_(SNEAKERTRAIL)
_(AIZDRIFTSTRAT)
_(SPARKLETRAIL)
_(INVULNFLASH)
_(WIPEOUTTRAIL)
_(DRIFTSPARK)
_(BRAKEDRIFT)
_(DRIFTDUST)

_(ROCKETSNEAKER) // Rocket sneakers

_(EGGMANITEM) // Eggman items
_(EGGMANITEM_SHIELD)

_(BANANA) // Banana Stuff
_(BANANA_SHIELD)

_(ORBINAUT) // Orbinaut stuff
_(ORBINAUT_SHIELD)

_(JAWZ) // Jawz stuff
_(JAWZ_DUD)
_(JAWZ_SHIELD)

_(PLAYERRETICULE) // Jawz reticule

_(SSMINE) // Mine stuff
_(SSMINE_SHIELD)
_(MINEEXPLOSION)
_(MINEEXPLOSIONSOUND)

_(SMOLDERING) // New explosion
_(BOOMEXPLODE)
_(BOOMPARTICLE)

// Land Mine
_(LANDMINE)
// Egg Mine
_(EGGMINE)
_(EGGMINE_SHIELD)

_(BALLHOG) // Ballhog
_(BALLHOGBOOM)

_(SPB) // SPB stuff
_(SPBEXPLOSION)

_(THUNDERSHIELD) // Shields
_(BUBBLESHIELD)
_(FLAMESHIELD)
_(BUBBLESHIELDTRAP)
_(BUBBLESHIELD_DEBRIS)

_(SINK) // Kitchen Sink Stuff
_(SINK_SHIELD)
_(SINKTRAIL)

_(BATTLEBUMPER) // Battle Mode bumpers

_(DEZLASER)

_(WAYPOINT)
_(WAYPOINT_RISER)
_(WAYPOINT_ANCHOR)

_(BOTHINT)

_(RANDOMAUDIENCE)

_(FLAYM)
_(DEVIL)
_(ANGEL)
_(PALMTREE)
_(FLAG)
_(HEDGEHOG)
_(BUSH1)
_(TWEE)
_(HYDRANT)

_(BIGPUMA)
_(APPLE)

_(DOOD_FLOWER1)
_(DOOD_FLOWER2)
_(DOOD_FLOWER3)
_(DOOD_FLOWER4)
_(DOOD_BOX)
_(DOOD_BALLOON)
_(BIGRING)

_(SNES_DONUTBUSH1)
_(SNES_DONUTBUSH2)
_(SNES_DONUTBUSH3)

_(GBA_BOO)

_(BUZZBOMBER)
_(CHOMPER)
_(PALMTREE2)
_(PURPLEFLOWER1)
_(PURPLEFLOWER2)
_(YELLOWFLOWER1)
_(YELLOWFLOWER2)
_(PLANT2)
_(PLANT3)
_(PLANT4)

_(SKULL)
_(PHANTREE)
_(FLYINGGARG)
_(LAMPPOST)
_(MOSSYTREE)

_(BUMP)

_(FLINGENERGY)

_(ITEMCLASH)

_(FIREDITEM)

_(INSTASHIELDA)
_(INSTASHIELDB)

_(PLAYERARROW)
_(PLAYERWANTED)

_(KARMAHITBOX)
_(KARMAWHEEL)

_(BATTLEPOINT)

_(FZEROBOOM)

// Various plants
_(SONICBUSH)

// Marble Zone
_(FLAMEPARTICLE)
_(MARBLETORCH)
_(MARBLELIGHT)
_(MARBLEBURNER)

// CD Special Stage
_(CDUFO)

// Rusty Rig
_(RUSTYLAMP_ORANGE)
_(RUSTYCHAIN)

// Smokin' & Vapin' (Don't try this at home, kids!)
_(PETSMOKER)
_(PETSMOKE)
_(VVVAPE)

// Hill Top Zone
_(HTZTREE)
_(HTZBUSH)

// Ports of gardens
_(SGVINE1)
_(SGVINE2)
_(SGVINE3)
_(PGTREE)
_(PGFLOWER1)
_(PGFLOWER2)
_(PGFLOWER3)
_(PGBUSH)
_(DHPILLAR)

// Midnight Channel stuff:
_(SPOTLIGHT)     // Spotlight Object
_(RANDOMSHADOW)  // Random static Shadows.
_(ROAMINGSHADOW) // Roaming Shadows.
_(MAYONAKAARROW) // Arrow static signs for Mayonaka

// Mementos stuff
_(REAPERWAYPOINT)
_(REAPER)
_(MEMENTOSTP)
_(MEMENTOSPARTICLE)

_(JACKINTHEBOX)

// Color Drive:
_(CDMOON)
_(CDBUSH)
_(CDTREEA)
_(CDTREEB)

// Daytona Speedway
_(PINETREE)
_(PINETREE_SIDE)

// Egg Zeppelin
_(EZZPROPELLER)
_(EZZPROPELLER_BLADE)

// Desert Palace
_(DP_PALMTREE)

// Aurora Atoll
_(AAZTREE_HELPER)
_(AAZTREE_SEG)
_(AAZTREE_COCONUT)
_(AAZTREE_LEAF)

// Barren Badlands
_(BBZDUST)
_(FROGGER)
_(FROGTONGUE)
_(FROGTONGUE_JOINT)
_(ROBRA)
_(ROBRA_HEAD)
_(ROBRA_JOINT)
_(BLUEROBRA)
_(BLUEROBRA_HEAD)
_(BLUEROBRA_JOINT)

// Eerie Grove
_(EERIEFOG)
_(EERIEFOGGEN)

// SMK ports
_(SMK_PIPE)
_(SMK_MOLESPAWNER)
_(SMK_MOLE)
_(SMK_THWOMP)
_(SMK_SNOWBALL)
_(SMK_ICEBLOCK)
_(SMK_ICEBLOCK_SIDE)
_(SMK_ICEBLOCK_DEBRIS)

// Ezo's maps
_(BLUEFIRE)
_(GREENFIRE)
_(REGALCHEST)
_(CHIMERASTATUE)
_(DRAGONSTATUE)
_(LIZARDMANSTATUE)
_(PEGASUSSTATUE)
_(ZELDAFIRE)
_(GANBARETHING)
_(GANBAREDUCK)
_(GANBARETREE)
_(MONOKUMA)
_(REDZELDAFIRE)
_(BOWLINGPIN)
_(MERRYAMBIENCE)
_(TWINKLECARTAMBIENCE)
_(EXPLODINGBARREL)
_(MERRYHORSE)
_(ARIDTOAD)
_(BLUEFRUIT)
_(ORANGEFRUIT)
_(REDFRUIT)
_(PINKFRUIT)
_(ADVENTURESPIKEA)
_(ADVENTURESPIKEB)
_(ADVENTURESPIKEC)
_(BOOSTPROMPT)
_(BOOSTOFF)
_(BOOSTON)
_(LIZARDMAN)
_(LIONMAN)

// Opulence
_(OPULENCE_PALMTREE)
_(OPULENCE_FERN)

_(TUMBLEGEM)
_(TUMBLECOIN)

_(KARMAFIREWORK)
_(GAINAX)

_(BOOSTSTACK)

_(FOLLOWER)
_(FOLLOWERBUBBLE_FRONT)
_(FOLLOWERBUBBLE_BACK)

_(WATERTRAIL)
_(WATERTRAILUNDERLAY)

_(AIRDROPDUST)

_(PAPERITEMSPOT)

_(LOOPENDPOINT)
_(LOOPCENTERPOINT)

_(YELLOWHORIZ)
_(REDHORIZ)
_(BLUEHORIZ)
_(GRAYDIAG)
_(GRAYHORIZ)

_(SCRIPT_THING)

// Dash Rings
_(DASHRING)
_(RAINBOWDASHRING)

// Sneaker Panels
_(SNEAKERPANEL)
_(SNEAKERPANELSPAWNER)

// Horncode
_(FOLLOWERHORN)
